# Say whether a drafted answer was good

`POST /workspace/watch/{id}/verdict` · Rivier · workspace

Say whether a drafted answer was good.

- Scope: workspace:write
- Graphql: Mutation.workspaceWatchVerdict
- Sdk: workspace.watch.verdict
- Cli: workspace watch verdict

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "verdict": {
      "type": "string",
      "enum": [
        "good",
        "not_good"
      ]
    },
    "note": {
      "type": "string",
      "maxLength": 1000
    }
  },
  "required": [
    "verdict"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/watch/{id}/verdict' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "verdict": "good"
}'
```
